Package twisted :: Package python :: Module roots :: Class Entity

[frames | no frames]

## Class Entity

I am a terminal object in a hierarchy, with no children.

I represent a null interface; certain non-instance objects (strings and integers, notably) are Entities.

Methods on this class are suggested to be implemented, but are not required, and will be emulated on a per-protocol basis for types which do not handle them.

Method Summary
| ``render`(self, request)` I produce a stream of bytes for the request, by calling request.write() and request.finish().

Method Details

### render(self, request)

I produce a stream of bytes for the request, by calling request.write() and request.finish().

Generated by Epydoc 2.0 on Sat May 15 20:08:31 2004 | http://epydoc.sf.net